export declare type EncryptionOptions = {
    /**
     * Source code to package into an asar archive.
     *
     * E.g `src`
     */
    src: string;
    /**
     * Destination file asar file path.
     *
     * E.g `app.asar`
     */
    dst: string;
    /**
     * File path to a hex-encoded encryption key.
     */
    keyFilePath?: string;
    /**
     * Encryption key in plaintext.
     */
    key?: string;
};
/**
 * Encrypts and packages all files into an asar archive.
 */
export declare function encrypt({ keyFilePath, key: keyPlaintext, src, dst, }: EncryptionOptions): Promise<void>;
