"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createNestedObject = exports.randomItem = exports.random = void 0;
function random(min, max) {
    return Math.floor(Math.random() * (max - min + 1) + min);
}
exports.random = random;
function randomItem(items) {
    return items[random(0, items.length - 1)];
}
exports.randomItem = randomItem;
function createNestedObject(base, names, value) {
    // If a value is given, remove the last name and keep it for later:
    const lastName = arguments.length === 3 ? names.pop() : false;
    // Walk the hierarchy, creating new objects where needed.
    // If the lastName was removed, then the last object is not set yet:
    for (let i = 0; i < names.length; i++) {
        base = base[names[i]] = base[names[i]] || {};
    }
    // If a value was given, set it to the last name:
    if (lastName)
        base = base[lastName] = value;
    // Return the last object in the hierarchy:
    return base;
}
exports.createNestedObject = createNestedObject;
